API referenceRead APIIngest
Start a file upload
available
POST
Bearerheader
AuthorizationBearer <token>Accept*"application/json"Value in
"application/json"application/json- body
project_id*stringfilename*stringcontent_type*stringfile_size*numberDUET started the multipart upload. The response has the upload ID, the chunk size, and an upload URL for each part.
application/json- response
upload_id*stringchunk_size*numbertargets*array<>curl -X POST 'https://api.enurgen.com/platform/v1/ingest/file-upload/initiate' \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -d '{ "project_id": "string", "filename": "string", "content_type": "string", "file_size": 0}'Example Response
{ "upload_id": "string", "chunk_size": 0, "targets": [ { "part_number": 0, "url": "string", "expires_at": "string" } ]}
